Class | Rubygame::Events::MousePressed
In: | lib/rubygame/events/mouse_events.rb
Parent: | Object

MousePressed is an event class which occurs when a button on the mouse is pressed down.

This class gains button and pos attribute readers from the MouseButtonEvent mixin module.

### Methods

new

### Included Modules

MouseButtonEvent

### Public Class methods

new( pos, button )

Create a new MousePressed instance.

button: | a symbol for the button that was pressed or released. (Symbol, required)
pos: | an Array for the position of the mouse cursor when the event occured. [0,0] is the top-left corner of the window (or the screen if running full-screen). (Array, required)

[Validate]